Project/src/beans/UserDataBeans.java
package beans;

import java.io.Serializable;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class UserDataBeans implements Serializable {
	private int id;
	private String loginId;
	private String password;
	private String userName;
	private String birthDate;
	private String createDate;
	private String updateDate;

	public UserDataBeans() {
	}

	public UserDataBeans(int id, String loginId, String userName) {
		this.id = id;
		this.loginId = loginId;
		this.userName = userName;
	}

	public UserDataBeans(int id, String loginId, String userName, String birthDate, String createDate,
			String updateDate) {
		this.id = id;
		this.loginId = loginId;
		this.userName = userName;
		this.birthDate = birthDate;
		this.createDate = createDate;
		this.updateDate = updateDate;
	}

	public UserDataBeans(int id, String loginId, String password, String userName, String birthDate, String createDate,
			String updateDate) {
		this.id = id;
		this.loginId = loginId;
		this.password = password;
		this.userName = userName;
		this.birthDate = birthDate;
		this.createDate = createDate;
		this.updateDate = updateDate;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getLoginId() {
		return loginId;
	}

	public void setLoginId(String loginId) {
		this.loginId = loginId;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getBirthDate() {
		return birthDate;
	}

	public String getFmtBirthDate() {
		try {
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			Date formatDate = sdf.parse(this.birthDate);
			String str = new SimpleDateFormat("yyyy年MM月dd日").format(formatDate);
			return str;
		} catch (ParseException e) {
			e.printStackTrace();
			return null;
		}
	}

	public void setBirthDate(String birthDate) {
		this.birthDate = birthDate;
	}

	public String getCreateDate() {
		return createDate;
	}

	public String getFmtCreateDate() {
		try {
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
			Date formatDate = sdf.parse(this.createDate);
			String str = new SimpleDateFormat("yyyy年MM月dd日H時mm分").format(formatDate);
			return str;
		} catch (ParseException e) {
			e.printStackTrace();
			return null;
		}
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getUpdateDate() {
		return updateDate;
	}

	public String getFmtUpdateDate() {
		try {
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
			Date formatDate = sdf.parse(this.updateDate);
			String str = new SimpleDateFormat("yyyy年MM月dd日H時mm分").format(formatDate);
			return str;
		} catch (ParseException e) {
			e.printStackTrace();
			return null;
		}
	}

	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}

}

Project/src/controller/AddUserServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserDataBeans;
import dao.UserDAO;

/**
 * Servlet implementation class AddUserServlet
 */
@WebServlet("/AddUserServlet")
public class AddUserServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public AddUserServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/addUser.jsp");
		dispatcher.forward(request,response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {


		//リクエストパラメーターからデータを取得
		request.setCharacterEncoding("UTF-8");
		String loginId=request.getParameter("loginId");
		String password=request.getParameter("password");
		String confirmPassword=request.getParameter("confirmPassword");
		String userName=request.getParameter("userName");
		String birthDate=request.getParameter("birthDate");

		//パスワードと確認用パスワードが異なっていた場合、エラーメッセージを表示
		if(!(password.equals(confirmPassword))) {
			request.setAttribute("errMsg", "パスワードと確認用パスワードが異なります。");

			RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/addUser.jsp");
			dispatcher.forward(request, response);
			return;
		}

		//入力されたログインIDが既に使われていないかを検索
		UserDAO userDAO=new UserDAO();
		UserDataBeans userInfo=userDAO.searchUserByLoginId(loginId);

		//既に登録されていた場合、エラーメッセージを表示
		if(userInfo!=null) {
			request.setAttribute("errMsg2", "既に登録されているログインIDです");

			RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/addUser.jsp");
			dispatcher.forward(request, response);
			return;
		}

		//入力された情報を登録
		userDAO.addUser(loginId, confirmPassword, userName, birthDate);

		//ログイン情報を検索し、セッションスコープにセット
		UserDataBeans userLoginInfo=userDAO.findByLoginInfo(loginId,password);
		HttpSession session=request.getSession();
		session.setAttribute("userLoginInfo", userLoginInfo);

		response.sendRedirect("PokemonSearchServlet");
	}

}

Project/src/controller/AddedPokemonConfirmServlet.java
package controller;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.TradeDataBeans;
import beans.UserDataBeans;
import dao.TradeInfoDAO;

/**
 * Servlet implementation class AddedPokemonConfirmServlet
 */
@WebServlet("/AddedPokemonConfirmServlet")
public class AddedPokemonConfirmServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public AddedPokemonConfirmServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログインセッションを取得
		HttpSession session=request.getSession();
		UserDataBeans userLoginInfo=(UserDataBeans)session.getAttribute("userLoginInfo");

		//ログイン情報がなければログイン画面にリダイレクトする
		if(userLoginInfo == null) {
			response.sendRedirect("UserLoginServlet");
			return;
		}
		//ログインセッションからユーザーIDを取得
		int userId=userLoginInfo.getId();

		//ユーザーIDから交換情報を取得
		TradeInfoDAO tradeInfoDAO=new TradeInfoDAO();
		List<TradeDataBeans> tradeDataList = new ArrayList<TradeDataBeans>();
		tradeDataList=tradeInfoDAO.findByTradeInfo(userId);
		request.setAttribute("tradeDataList", tradeDataList);

		RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/addedPokemonConfirm.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

	}

}

Project/src/controller/FavoritePokemonConfirmServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.FavoriteDataBeans;
import beans.UserDataBeans;
import dao.FavoriteInfoDAO;


/**
 * Servlet implementation class FavoritePokemonConfirmServlet
 */
@WebServlet("/FavoritePokemonConfirmServlet")
public class FavoritePokemonConfirmServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public FavoritePokemonConfirmServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログインセッションを取得
		HttpSession session=request.getSession();
		UserDataBeans userLoginInfo=(UserDataBeans)session.getAttribute("userLoginInfo");

		//ログイン情報がなければログイン画面にリダイレクトする
		if(userLoginInfo == null) {
			response.sendRedirect("UserLoginServlet");
			return;
		}
		//ログインセッションからユーザーIDを取得
		int userId=userLoginInfo.getId();

		//ユーザーIDをもとにお気に入りに登録したポケモン情報を取得
		FavoriteInfoDAO favoriteInfoDAO=new FavoriteInfoDAO();
		List<FavoriteDataBeans> favoriteDataList=favoriteInfoDAO.findByFavoriteInfo(userId);
		request.setAttribute("favoriteDataList", favoriteDataList);

		RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/favoritePokemonConfirm.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		//ヒドゥンパラメーターからトレードIDを取得
		request.setCharacterEncoding("UTF-8");
		String id=request.getParameter("tradeId");
		int tradeId=Integer.parseInt(id);

		//ログインセッションからユーザーIDを取得
		HttpSession session=request.getSession();
		UserDataBeans userLoginInfo=(UserDataBeans)session.getAttribute("userLoginInfo");
		int userId=userLoginInfo.getId();

		//お気に入り情報を登録
		FavoriteInfoDAO favoriteInfoDAO=new FavoriteInfoDAO();
		favoriteInfoDAO.addFavoriteInfo(userId, tradeId);

		response.sendRedirect("FavoritePokemonConfirmServlet");
	}

}

Project/src/controller/PokemonSearchServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserDataBeans;

/**
 * Servlet implementation class PokemonSearchServlet
 */
@WebServlet("/PokemonSearchServlet")
public class PokemonSearchServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public PokemonSearchServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログインセッションを取得
		HttpSession session=request.getSession();
		UserDataBeans userLoginInfo=(UserDataBeans)session.getAttribute("userLoginInfo");

		//ログイン情報がなければログイン画面にリダイレクトする
		if(userLoginInfo == null) {
			response.sendRedirect("UserLoginServlet");
			return;
		}

		RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/pokemonSearch.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
	}
}

Project/src/controller/PokemonTradeBoardServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.MessageDataBeans;
import beans.TradeDataBeans;
import beans.UserDataBeans;
import dao.MessageDAO;
import dao.TradeInfoDAO;
import dao.UserDAO;

/**
 * Servlet implementation class PokemonTradeBoardServlet
 */
@WebServlet("/PokemonTradeBoardServlet")
public class PokemonTradeBoardServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public PokemonTradeBoardServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログインセッションを取得
		HttpSession session=request.getSession();
		UserDataBeans userLoginInfo=(UserDataBeans)session.getAttribute("userLoginInfo");

		//ログイン情報がなければログイン画面にリダイレクトする
		if(userLoginInfo == null) {
			response.sendRedirect("UserLoginServlet");
			return;
		}

		request.setCharacterEncoding("UTF-8");
		//JSPからトレードIDを取得
		String tradeIdData=request.getParameter("id");
		int tradeId=Integer.parseInt(tradeIdData);
		request.setAttribute("tradeId", tradeId);

		//トレードIDからユーザーIDを入手
		TradeInfoDAO tradeInfoDAO=new TradeInfoDAO();
		TradeDataBeans userIdData=tradeInfoDAO.findByUserIdByTradeId(tradeId);
		int tradeUserId=userIdData.getUserId();

		//ログインセッションから自身のユーザーIDを取得
		int userId=userLoginInfo.getId();

		request.setAttribute("userLoginInfo", userLoginInfo);

		//JSPからメッセージパラメーターを取得
		String message=request.getParameter("message");

		//パラメーターがnullでなければメッセージ情報を追加
		if(message != null) {
			MessageDAO messageDAO=new MessageDAO();
			messageDAO.addMessage(message, userId, tradeId);
		}

		//トレードIDでメッセージデータを取得する
		MessageDAO messageDAO=new MessageDAO();
		List<MessageDataBeans> messageDataList=messageDAO.findByMessage(tradeId);
		request.setAttribute("messageDataList", messageDataList);

		//交換相手のユーザーIDからユーザー情報を取得
		UserDAO userDAO=new UserDAO();
		UserDataBeans userInfo=userDAO.searchUserById(tradeUserId);
		request.setAttribute("userInfo", userInfo);

		RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/pokemonTradeBoard.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

	}

}

Project/src/controller/PokemonTradeFinishServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserDataBeans;
import dao.TradeInfoDAO;

/**
 * Servlet implementation class PokemonTradeFinishServlet
 */
@WebServlet("/PokemonTradeFinishServlet")
public class PokemonTradeFinishServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public PokemonTradeFinishServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログインセッションを取得
		HttpSession session=request.getSession();
		UserDataBeans userLoginInfo=(UserDataBeans)session.getAttribute("userLoginInfo");

		//ログイン情報がなければログイン画面にリダイレクトする
		if(userLoginInfo == null) {
			response.sendRedirect("UserLoginServlet");
			return;
		}

		//トレードID取得
		String id = request.getParameter("id");
		int tradeId=Integer.parseInt(id);
		request.setAttribute("tradeId", tradeId);

		RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/pokemonTradeFinish.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//ログインセッションからユーザーIDを取得
		//JSPからトレードIDを取得
		String tradeIdData=request.getParameter("id");
		int tradeId=Integer.parseInt(tradeIdData);
		request.setAttribute("tradeId", tradeId);

		//ユーザーIDをもとに交換終了処理
		TradeInfoDAO tradeInfoDAO=new TradeInfoDAO();
		tradeInfoDAO.finishPokemonTrade(tradeId);

		response.sendRedirect("AddedPokemonConfirmServlet");

	}

}

Project/WebContent/WEB-INF/jsp/addUser.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%><!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ユーザー新規登録</title>
<link rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
crossorigin="anonymous">

<link href="css/addUser.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<div class="user-area">
		<a href="UserLoginServlet"><b><font color="Blue">ログイン画面に戻る</font></b></a>
	</div>
	<br>
	<h1 align="center"><font color="White"><span style="background-color:Red">🔥ユーザー新規登録🔥</span></font></h1>
	<br>
	<div class="addUser-area">
		<div class="card">
		<h5 class="card-header">ユーザー情報登録</h5>

			<form action="AddUserServlet" method="post">
			 <div class="card-body">
			 	<div class="row">
					<b class="col-4">ログインID</b>
		 				<input type="text" name="loginId" class="form-control col-8" placeholder="半角英数字" required>

					<b class="col-4">パスワード</b>
						<input type="password" name="password" class="form-control col-8" placeholder="半角英数字" required>

					<b class="col-4">パスワード(確認)</b>
						<input type="password" name="confirmPassword" class="form-control col-8" placeholder="確認の為、もう一度入力してください" required>

					<b class="col-4">ユーザー名</b>
						<input type="text" name="userName" class="form-control col-8" required>

					<b class="col-4">生年月日</b>
						<input type="date" name="birthDate" class="form-control col-8" required>
				</div>
			 </div>
			<br>
			 	<div class="center">
					<input type="submit" class="btn btn-danger" value="🔥登録🔥">
				</div>
		 	</form>
		</div>
		<br>
		<c:if test="${errMsg != null}" >
	    	<div class="alert alert-danger" role="alert">
		  		${errMsg}
			</div>
		</c:if>

		<c:if test="${errMsg2 != null}" >
	    	<div class="alert alert-danger" role="alert">
		  		${errMsg2}
			</div>
		</c:if>
	</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/addedPokemonConfirm.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>登録したポケモン確認画面</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">

<link href="css/addedPokemonConfirm.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<div class="user-area">こんにちは！${userLoginInfo.userName}さん
		<a href="UserLogoutServlet"><font color="Red">ログアウト</font></a>
		<br>
		<a href="UserDataServlet"><b><font color="Blue">ユーザー画面に戻る</font></b></a>
		<br>
		<a href="PokemonSearchServlet"><b><font color="Blue">ポケモン検索画面に戻る</font></b></a>
	</div>
		<h1 align="center"><font color="White">⚡登録したポケモンを確認してみよう⚡</font></h1>
		<br>
		<br>

		<div class="pokemonConfirm-area">
			<div class="row">
			<c:forEach var="tradeData" items="${tradeDataList}">
				<div class="col-md-4">
					<div class="card mb-4 shadow-sm">
	  					<a href="PokemonTradeDetailFromUserDataServlet?id=${tradeData.id}"><img src="picture/${tradeData.image}" class="card-img-top" alt="${tradeData.tradePokemonName}"></a>

	  						<div class="card-body">
	    						<h5 class="card-title">${tradeData.tradePokemonName}</h5>
	    						<p class="card-text">
									タイプ：${tradeData.firstTypeName}    ${tradeData.secondTypeName} <br>
									欲しいポケモン：${tradeData.wantPokemonName}<br>
									ひとこと：${tradeData.text}<br>
	    						</p>
	  						</div>
					</div>
				</div>
			</c:forEach>
			</div>
		</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/userData.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ユーザー管理画面</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">

<link href="css/userData.css" rel="stylesheet" type="text/css" />

</head>
<body>
	<div class="user-area">こんにちは！${userLoginInfo.userName}さん
		<a href="UserLogoutServlet"><font color="Red">ログアウト</font></a>
		<br>
		<a href="PokemonSearchServlet"><b><font color="Blue">ポケモン検索画面に戻る</font></b></a>
		<br>
		<c:if test="${userLoginInfo.loginId=='admin'}">
			<a href="UserListServlet"><font color="Blue">ユーザー一覧画面へ</font></a>
		</c:if>
		<br>
		<c:if test="${userLoginInfo.loginId=='admin'}">
			<a href="ReportInfoServlet"><font color="Blue">通報情報一覧画面へ</font></a>
		</c:if>
	</div>
	<br>

	<h1 align="center"><span style="background-color:White">ユーザー管理画面</span></h1>
	<br>

	<div class="userData-area">
		<div class="card">
		<h5 class="card-header">ユーザー情報</h5>

			<div class="card-body">
				<div class="row">
					<div class="col-sm-6">
						<b>ログインID</b>
					</div>

					<div class="col-sm-6">
						${userInfo.loginId}
					</div>
				</div>

			<div class="row">
				<div class="col-sm-6">
					<b>ユーザー名</b>
				</div>
				<div class="col-sm-6">
					${userInfo.userName}
				</div>
			</div>

			<div class="row">
				<div class="col-sm-6">
					<b>生年月日</b>
				</div>

				<div class="col-sm-6">
					${userInfo.fmtBirthDate}
				</div>
			</div>

			<div class="row">
				<div class="col-sm-6">
					<b>登録日時</b>
				</div>
				<div class="col-sm-6">
					${userInfo.fmtCreateDate}
				</div>
			</div>

			<div class="row">
				<div class="col-sm-6">
					<b>更新日時</b>
				</div>
				<div class="col-sm-6">
					${userInfo.fmtUpdateDate}
				</div>
			</div>
			<br>
				<div class="center">
					<a href="UserDataUpdateServlet">
						<input type="submit" class="btn btn-success" value="ユーザー情報を更新する">
					</a>
				</div>
			</div>
		</div>
		<br>
		<div class="card">
			<h5 class="card-header">交換情報を追加する</h5>
				<div class="card-body">
					<div class="center">
						<a href="UserTradeDataUpdateServlet">
							<input type="submit" class="btn btn-success" value="追加画面へ">
						</a>
					</div>
				</div>
		</div>
		<br>
		<div class="card">
			 <div class="card-header">
				<h5>交換情報を確認する</h5>
			 </div>
			 	<br>
			 	<div class="center">
			 		<a href="AddedPokemonConfirmServlet">
			 			<input type="submit" class="btn btn-info" value="確認画面へ">
			 		</a>
			 	</div>
			 	<br>
		</div>
		<br>
		<div class="card">
			 <div class="card-header">
				<h5>お気に入りに追加したポケモンを確認する</h5>
			 </div>
			 	<br>
			 	<div class="center">
			 		<a href="FavoritePokemonConfirmServlet">
			 			<input type="submit" class="btn btn-warning" value="確認画面へ">
			 		</a>
			 	</div>
			 	<br>
		</div>
		<br>
		<div class="card">
			 <div class="card-header">
				<h5>アカウントを削除する</h5>
			 </div>
			 	<br>
			 	<div class="center">
			 		<a href="UserDeleteServlet?id=${userInfo.id}">
			 			<input type="submit" class="btn btn-danger" value="アカウント削除">
			 		</a>
			 	</div>
			 	<br>
		</div>
		<br>
	</div>
</body>
</html>